Package twisted :: Package protocols :: Module smtp :: Class SMTPSenderFactory

[show private | hide private]
[frames | no frames]

## Class SMTPSenderFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   SMTPSenderFactory

Utility factory for sending emails easily.

Method Summary
| `__init__(self, fromEmail, toEmail, file, deferred)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `clientConnectionFailed(self, connector, error)`
| `clientConnectionLost(self, connector, error)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `SMTPSender`

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

### SMTPSender

`SMTPSender` = `twisted.protocols.smtp.SMTPSender`

Generated by Epydoc 1.1 on Thu May 8 13:18:55 2003 | http://epydoc.sf.net